[Task Manager] Add option to toggle grouping on middle click
ClosedPublic

Authored by broulik on Mar 15 2017, 9:41 PM.

Details

Summary

This adds an option for what to do on middle click which will toggle grouping of window of a specific application.
This can already be done in the context menu by (un)checking "Allow this program to be grouped" in advanced but this adds a nice shortcut for this.
In contrast to said context menu entry the option in the ComboBox is shown regardless of the grouping mode as otherwise it might unintentionally change your setting to a (seemingly) non-deterministic value if you disable grouping.

BUG: 323567
FIXED-IN: 5.10.0

Test Plan

Enabled grouping by app name in popups, changed middle click action to toggle grouping, opened two dolphin windows, middle clicked the group, I got two separate dolphin entries with all other apps staying as they were, clicking again re-grouped the Dolphin windows into one.

Diff Detail

Repository
R119 Plasma Desktop
Lint
Lint Skipped
Unit
Unit Tests Skipped
broulik created this revision.Mar 15 2017, 9:41 PM
Restricted Application added a project: Plasma. · View Herald TranscriptMar 15 2017, 9:41 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
broulik added a reviewer: VDG.Mar 15 2017, 9:41 PM
mart added a subscriber: mart.Mar 17 2017, 1:05 PM

as it was the default behavior in plasma 4, could it be tried to just having it enabled for 5.010 and add the option only if people complain?

You mean when I chose "None" that it ungroups on middle click? Or rather replace "None" by "ToggleGrouping"?

hein accepted this revision.Mar 20 2017, 11:06 AM

+1 for adding

-1 for making it default - this is a super jarring "omg what just happened" for an uinitiated feature and something they have no hope of reverting without understanding it. We don't need to recreae everything 4 did to the t :)

This revision is now accepted and ready to land.Mar 20 2017, 11:06 AM
This revision was automatically updated to reflect the committed changes.